---
type: api
title: Get health for a filtered group of proxies
description: > WARNING
url: https://www.elastic.co/docs/api/doc/cloud-enterprise/operation/operation-get-proxies-filtered-group-health
resource: https://www.elastic.co/docs/api/doc/cloud-enterprise/operation/operation-get-proxies-filtered-group-health
products:
  - Elastic Cloud Enterprise
---

# Get health for a filtered group of proxies

Authentication: required

## Paths

- `GET` `/platform/infrastructure/proxies/filtered-groups/{proxies_filtered_group_id}/health`

#### Path parameters

- `proxies_filtered_group_id` (string) — required
  "The identifier for the filtered group of proxies

## Description

> WARNING
> This endpoint is deprecated and scheduled to be removed in the next major version.

Get the health status of a filtered group of proxies.

## Query string parameters

- `expect_status` (string) — optional
  The expected status

## Responses

#### `200`

Returns health information on a filtered group of proxies

`application/json`

- `group` (object)
  A set of proxy filters with an expected number of matching proxies.
  - `id` (string)
    Identifier of the filtered group of proxies
  - `filters` (object[])
    Filters to be matched
    - `key` (string)
      Key of the proxy metadata item to be matched
    - `value` (string)
      Value of the proxy metadata item to be matched
  - `expected_proxies_count` (integer · format: int32)
    Expected minimum number of proxies matching all filters in this group
- `observed_proxies_count` (integer · format: int32)
  The number of proxies that match all of the filters in the group
- `status` (string)
  "Health status for this filtered group. One of "Green", "Yellow" or "Red"
#### `417`

The health status is worse than the expected one.

`application/json`

- `group` (object)
  A set of proxy filters with an expected number of matching proxies.
  - `id` (string)
    Identifier of the filtered group of proxies
  - `filters` (object[])
    Filters to be matched
    - `key` (string)
      Key of the proxy metadata item to be matched
    - `value` (string)
      Value of the proxy metadata item to be matched
  - `expected_proxies_count` (integer · format: int32)
    Expected minimum number of proxies matching all filters in this group
- `observed_proxies_count` (integer · format: int32)
  The number of proxies that match all of the filters in the group
- `status` (string)
  "Health status for this filtered group. One of "Green", "Yellow" or "Red"
## Code examples

#### curl

```curl
curl -X GET "${API_URL}/platform/infrastructure/proxies/filtered-groups/${PROXIES_FILTERED_GROUP_ID}/health" \
  -u "${USERNAME}:${PASSWORD}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "group": {
    "id": "string",
    "filters": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "expected_proxies_count": 0
  },
  "observed_proxies_count": 0,
  "status": "string"
}
```

#### 417

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "group": {
    "id": "string",
    "filters": [
      {
        "key": "string",
        "value": "string"
      }
    ],
    "expected_proxies_count": 0
  },
  "observed_proxies_count": 0,
  "status": "string"
}
```

